Subject: RE: Cygwin 20.1b & 1.3.2 on same system
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Mark Keil <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Jul 2001 11:23:54 -0400

Hi Mark,

The problem with multiple Cygwin DLLs is not rooted in the name.  It has
to do with internal shared data.  All Cygwin DLLs of different versions 
will collide with each other in this respect, unless the DLLs are built
to not do so.  The ability to avoid collision is a capability that is 
sometimes used to debug a DLL of one version while using the tools (i.e.
gdb) based on another (working) one.

Forgive me but I've redirected my response back to the list, since it
may be of general interest.

Larry

At 11:15 AM 7/17/2001, you wrote:
>Larry,
>
>Can B19 & v1.3.2 coexist and be in simultaneous
>use with out coliding?
>
>In the case of B19 the dll has a different name,
>but whether that offers protection or not is unclear.
>
>Thanks, Mark
>
>
>
>-----Original Message-----
>From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Sent: Tuesday, July 17, 2001 11:04 AM
>To: Steven Whatley; [email-masked]
>Subject: Re: Cygwin 20.1b & 1.3.2 on same system
>
>
>At 09:24 AM 7/17/2001, Steven Whatley wrote:
> >Hi all,
> >
> >I'd like to get started writing programs for my Palm IIIx.  The PRC-Tools
> >package requites the Cygwin 20.1b version but I have Cygwin v1.3.2
> >installed.  Can the two live on the same system?  What is the best way to
> >set it up?  
> >
> >Thanks,
> >Steven
>
>
>Yes, B20 can exist with the current environment, if you make sure that
>the 2 cygwin1.dlls are never loaded at the same time.  Of course, we 
>don't recommend this practice and this list discourages questions on 
>obsolete versions.  IIRC, the site hosting PRC-Tools also has some 
>information on how to use the current Cygwin distribution in conjunction
>with them.  Investigating this option may be the best in terms of using
>a supported environment.
>
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>118 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/